module.exports = {
  group: '原子组件',
  componentName: 'Menu.Group',
  title: '菜单组',
  docUrl: '',
  screenshot: '',
  npm: {
    "package": '@alilc/lowcode-materials',
    version: '{{version}}',
    exportName: 'Menu',
    main: '',
    destructuring: true,
    subName: 'Group'
  },
  props: [{
    name: 'label',
    propType: {
      type: 'instanceOf',
      value: 'node'
    },
    description: '标签内容'
  }, {
    name: 'style',
    propType: 'object'
  }],
  configure: {
    component: {
      isContainer: true,
      nestingRule: {
        parentWhitelist: ['Menu', 'SubMenu', 'Menu.Group', 'MenuButton']
      }
    },
    advanced: {
      callbacks: {
        onHoverHook: function onHoverHook() {
          return false;
        },
        onMouseDownHook: function onMouseDownHook() {
          return false;
        },
        onClickHook: function onClickHook() {
          return false;
        },
        onMove: function onMove() {
          return false;
        }
      }
    }
  },
  icon: '',
  category: '信息输入'
};